//TestAccount is test driver for class BankAccount

import java.io.*;  //includes println() function

public class TestAccount
{
    public static void main(String args[])
    { //first argument from command line is deposit per month
      double depositPerMonth = (double) Integer.parseInt(args[0]);  
      //second argument is the interest rate
      double interest = (double) Integer.parseInt(args[1]);
      
      //create a BankAccount object
      BankAccount myAccount = new BankAccount();
      
      //set the interest rate
      myAccount.setRate(interest);
      
      //make a deposit each month and watch my it grow!
      System.out.println("Depositing " + depositPerMonth + " per month at " +
                                      myAccount.interestRate() + "% interest");
       for (int year=0; year < 10; year++)
       { System.out.print(year + ".. ");
          for (int month = 0; month < 12; month++)
          { //make my deposit and compute my interest
             myAccount.deposit(depositPerMonth);
             myAccount.addInterest();
             System.out.print(myAccount.balance() + ", ");
          }
          System.out.println();
       }
       //Read input so that output won't disappear from JavaEdit's DOS window!
        byte b[] = new byte[10];
          try { System.in.read(b); }
          catch (java.io.IOException e)  {}
    }
} //class TestAccount
             
